curl --request GET \
--url https://app.sendmux.ai/api/v1/webhooks/{public_id} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "twhk_clxxxxxxxxxxxxxxxxxxxxxxxxx",
"url": "https://hooks.acme.com/sendmux",
"event_types": [
"ses.bounce",
"ses.complaint"
],
"enabled": true,
"failing": false,
"created_at": "2026-04-23T09:12:00Z",
"updated_at": "2026-04-23T09:12:00Z"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
}
}Returns a single webhook subscription. The signing secret is never included.
curl --request GET \
--url https://app.sendmux.ai/api/v1/webhooks/{public_id} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "twhk_clxxxxxxxxxxxxxxxxxxxxxxxxx",
"url": "https://hooks.acme.com/sendmux",
"event_types": [
"ses.bounce",
"ses.complaint"
],
"enabled": true,
"failing": false,
"created_at": "2026-04-23T09:12:00Z",
"updated_at": "2026-04-23T09:12:00Z"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
}
}Sendmux API key. Obtain from the dashboard under API Keys. Format: smx_root_...
Webhook public ID
"twhk_clxxxxxxxxxxxxxxxxxxxxxxxxx"
Subscription
true Hide child attributes
Webhook public ID
"twhk_clxxxxxxxxxxxxxxxxxxxxxxxxx"
HTTPS endpoint that receives signed event POSTs.
"https://hooks.acme.com/sendmux"
Event types this subscription receives.
Event types a webhook may subscribe to. sendmux.test is accepted so you can verify end-to-end delivery via POST /webhooks/{id}/test.
ses.bounce, ses.complaint, ses.delivery, ses.reject, ses.delivery_delay, mail.inbound, sendmux.test ["ses.bounce", "ses.complaint"]When false, no events are delivered to this subscription.
true
True when the 24-hour retry window has been exhausted for this subscription. Reset by updating the subscription (e.g. fixing the URL) and re-enabling.
false
ISO 8601 creation timestamp
"2026-04-23T09:12:00Z"
ISO 8601 last-modified timestamp
"2026-04-23T09:12:00Z"
Was this page helpful?